kdelibs (4:3.5.10.dfsg.1-5) 15_dcopidlng_jfs-patch.diff

Summary

 dcop/dcopidlng/dcopidlng |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

    
download this patch

Patch contents

--- a/dcop/dcopidlng/dcopidlng
+++ b/dcop/dcopidlng/dcopidlng
@@ -1,15 +1,16 @@
 #!/bin/sh
 
-trap "rm -f dcopidlng.stderr.$$" 0 1 2 15
+tmpfile=`mktemp -t dcopidlng.XXXXXX` || { echo "$0: Cannot create temporary file" >&2; exit 1;  }
+trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
 
 if test -z "$KDECONFIG"; then
     KDECONFIG=kde-config
 fi
 LIBDIR="`$KDECONFIG --install data --expandvars`/dcopidlng"
-perl -I"$LIBDIR" "$LIBDIR/kalyptus" --allow_k_dcop_accessors -f dcopidl $1 2> dcopidlng.stderr.$$
+perl -I"$LIBDIR" "$LIBDIR/kalyptus" --allow_k_dcop_accessors -f dcopidl $1 2> $tmpfile
 RET=$?
 if [ $RET -ne 0 ]
 then
-   cat dcopidlng.stderr.$$ >&2
+   cat $tmpfile >&2
 fi
 exit $RET